summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/haskell-updater/haskell-updater-1.2.9.ebuild')
-rw-r--r--app-admin/haskell-updater/haskell-updater-1.2.9.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/app-admin/haskell-updater/haskell-updater-1.2.9.ebuild b/app-admin/haskell-updater/haskell-updater-1.2.9.ebuild
new file mode 100644
index 00000000000..0ca325522f8
--- /dev/null
+++ b/app-admin/haskell-updater/haskell-updater-1.2.9.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+CABAL_FEATURES="bin nocabaldep"
+inherit eutils haskell-cabal
+
+DESCRIPTION="Rebuild Haskell dependencies in Gentoo"
+HOMEPAGE="https://wiki.haskell.org/Gentoo#haskell-updater"
+SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=dev-lang/ghc-6.12.1"
+
+# Need a lower version for portage to get --keep-going
+RDEPEND="|| ( >=sys-apps/portage-2.1.6
+ sys-apps/pkgcore )"
+
+src_prepare() {
+ if use prefix; then
+ sed -i -e "s,/var/db/pkg,${EPREFIX}&,g" \
+ "${S}/Distribution/Gentoo/Packages.hs" || die
+
+ sed -i -e 's,"/","'"${EPREFIX}"'/",g' \
+ "${S}/Distribution/Gentoo/GHC.hs" || die
+ fi
+}
+
+src_configure() {
+ cabal_src_configure \
+ --bindir="${EPREFIX}/usr/sbin" \
+ --constraint="Cabal == $(cabal-version)"
+}
+
+src_install() {
+ cabal_src_install
+
+ dodoc TODO
+}